> For the complete documentation index, see [llms.txt](https://developer.workdigital.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.workdigital.io/web-api/records/read-records-by-view.md).

# Read Records By View

**Get all records by a specific view:**

URL : `/api/v1/app/{app_id}/view/{view_id}`\
Method : `GET`

Parameters:

*`access_token`* **(required, header parameter)**\
Send this as header – e.g.*“Authorization: Bearer access\_token”*

*`app_id`* **(required, header parameter)**\
Application Id

*`view_id`* **(required, header parameter)**\
View Id\ <br>

### Filter Parameters (Optional) :&#x20;

&#x20;**Method – `GET` – for filtering data**

*`filter_columns`*\
Column Ids. To filter data for multiple columns, use “|” as separator e.g. *`filter_columns=2|3|4`*

*`filter_values`*\
Values that needs to be matched. To filter data using multiple values, use “|” as separator e.g. *`filter_columns=2|2|4`*&#x61;nd *`filter_values=Column2Text1|Column2Text2|Column4`*

*`filter_apps`*\
App Ids for the columns (only applicable for columns from Lookup App). To filter data using multiple apps, use “|” as separator

*`filter_operators`*\
Operators to use for filtering data. To use multiple operators, use “|” as separator e.g. *`filter_operators=0|0|1`*.

**Operator codes are as below:**

*`0`* : contains

*`1`* : does not contain

*`2`* : equals

*`3`* : does not equal

*`4`* : empty

*`5`* : not empty

*`6`* : less than

*`7`* : less than or equal to

*`8`* : greater than

*`9`* : greater than or equal to

### Sample Request

`curl -H "Authorization: Bearer {access_token}" https://my.worksmart.app/api/v1/app/124/view/456`

### Sample Response

```
{
   "data":[
      {
         "a30":"DEMO00000"
      },
      {
         "a30":"DEMO00002"
      }
   ],
   "metadata":[
      {
         "view_id":"456",
         "field_id_in_data":"a30",
         "field_name":"Title",
         "field_description":"",
         "app_id":"124",
         "id":"1",
         "type_name":"Auto Number"
      }
   ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.workdigital.io/web-api/records/read-records-by-view.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
